import { UrlVideoPlayer } from './UrlVideoPlayer';
import { OhosSaasPlayer } from './nativeclass/OhosSaasPlayer';
import { LiveSts } from './source/LiveSts';
import { VidAuth } from './source/VidAuth';
import { VidMps } from './source/VidMps';
import { VidSts } from './source/VidSts';
import { StsInfo } from './source/StsInfo';
export class ApsaraVideoPlayer extends UrlVideoPlayer {
    constructor(p10, q10) {
        super(p10, q10);
    }
    setVidAuthDataSource(n10) {
        let o10 = this.getCorePlayer();
        if (o10 instanceof OhosSaasPlayer) {
            if (n10 instanceof VidAuth) {
                o10.setVidAuthSource(n10);
            }
        }
    }
    setVidStsDataSource(l10) {
        let m10 = this.getCorePlayer();
        if (m10 instanceof OhosSaasPlayer) {
            if (l10 instanceof VidSts) {
                m10.setVidStsSource(l10);
            }
        }
    }
    setVidMpsDataSource(j10) {
        let k10 = this.getCorePlayer();
        if (k10 instanceof OhosSaasPlayer) {
            if (j10 instanceof VidMps) {
                k10.setVidMpsSource(j10);
            }
        }
    }
    setLiveStsDataSource(h10) {
        let i10 = this.getCorePlayer();
        if (i10 instanceof OhosSaasPlayer) {
            if (h10 instanceof LiveSts) {
                i10.setLiveStsDataSource(h10);
            }
        }
    }
    updateVidAuth(f10) {
        let g10 = this.getCorePlayer();
        if (g10 instanceof OhosSaasPlayer) {
            if (f10 instanceof VidAuth) {
                g10.updateVidAuth(f10);
            }
        }
    }
    updateStsInfo(d10) {
        let e10 = this.getCorePlayer();
        if (e10 instanceof OhosSaasPlayer) {
            if (d10 instanceof StsInfo) {
                e10.updateStsInfo(d10);
            }
        }
    }
    createAlivcMediaPlayer(b10) {
        let c10 = new OhosSaasPlayer(b10);
        return c10;
    }
}
