export var InfoCode;
(function (a20) {
    a20[a20["Unknown"] = -1] = "Unknown";
    a20[a20["LoopingStart"] = 0] = "LoopingStart";
    a20[a20["BufferedPosition"] = 1] = "BufferedPosition";
    a20[a20["CurrentPosition"] = 2] = "CurrentPosition";
    a20[a20["AutoPlayStart"] = 3] = "AutoPlayStart";
    a20[a20["CurrentDownloadSpeed"] = 4] = "CurrentDownloadSpeed";
    a20[a20["UtcTime"] = 5] = "UtcTime";
    a20[a20["LocalCacheLoaded"] = 6] = "LocalCacheLoaded";
    a20[a20["SwitchToSoftwareVideoDecoder"] = 100] = "SwitchToSoftwareVideoDecoder";
    a20[a20["AudioCodecNotSupport"] = 101] = "AudioCodecNotSupport";
    a20[a20["AudioDecoderDeviceError"] = 102] = "AudioDecoderDeviceError";
    a20[a20["VideoCodecNotSupport"] = 103] = "VideoCodecNotSupport";
    a20[a20["VideoDecoderDeviceError"] = 104] = "VideoDecoderDeviceError";
    a20[a20["VideoRenderInitError"] = 105] = "VideoRenderInitError";
    a20[a20["DemuxerTraceID"] = 106] = "DemuxerTraceID";
    a20[a20["NetworkRetry"] = 108] = "NetworkRetry";
    a20[a20["CacheSuccess"] = 109] = "CacheSuccess";
    a20[a20["CacheError"] = 110] = "CacheError";
    a20[a20["LowMemory"] = 111] = "LowMemory";
    a20[a20["NetworkRetrySuccess"] = 113] = "NetworkRetrySuccess";
    a20[a20["SubtitleSelectError"] = 114] = "SubtitleSelectError";
    a20[a20["DirectComponentMSG"] = 116] = "DirectComponentMSG";
    a20[a20["DemuxerSegmentOpenFailed"] = 119] = "DemuxerSegmentOpenFailed";
    a20[a20["RTSServerMaybeDisconnect"] = 805371905] = "RTSServerMaybeDisconnect";
    a20[a20["RTSServerRecover"] = 805371906] = "RTSServerRecover";
})(InfoCode || (InfoCode = {}));
export function getEnumValues(v19) {
    return Object.keys(v19)
        .filter(z19 => !isNaN(Number(v19[z19])))
        .map(y19 => v19[y19]);
}
export function findInfoCodeByValue(s19) {
    const t19 = getEnumValues(InfoCode);
    for (const u19 of t19) {
        if (u19 === s19) {
            return u19;
        }
    }
    return InfoCode.Unknown;
}
