import { SourceBase } from './SourceBase';
export class UrlSource extends SourceBase {
    constructor() {
        super();
        this.nativeGetUri = () => {
            return this.mUri;
        };
        this.nativeSetUri_ = (e36) => {
            this.mUri = e36;
        };
        this.nativeGetExtraInfo = () => {
            return this.mExtraInfo;
        };
        this.nativeSetExtraInfo = (d36) => {
            this.mExtraInfo = d36;
        };
        this.nativeGetCacheFilePath = () => {
            return this.mCacheFilePath;
        };
        this.nativeSetCacheFilePath = (c36) => {
            this.mCacheFilePath = c36;
        };
        this.nativeGetOriginSize = () => {
            return this.mOriginSize;
        };
        this.nativeSetOriginSize = (b36) => {
            this.mOriginSize = b36;
        };
        this.mUri = "";
        this.mCacheFilePath = "";
        this.mQuality = "AUTO";
        this.mForceQuality = true;
        this.mOriginSize = 0;
        this.mExtraInfo = "";
    }
    getUri() {
        return this.mUri;
    }
    getExtraInfo() {
        return this.mExtraInfo;
    }
    setExtraInfo(s35) {
        this.mExtraInfo = s35;
    }
    setUri(r35) {
        this.mUri = r35;
    }
    getCacheFilePath() {
        return this.mCacheFilePath;
    }
    setCacheFilePath(q35) {
        this.mCacheFilePath = q35;
    }
    getOriginSize() {
        return this.mOriginSize;
    }
    setOriginSize(p35) {
        this.mOriginSize = p35;
    }
}
