import { ApsaraVideoPlayer } from './ApsaraVideoPlayer';
import { ApsaraVideoListPlayer } from './ApsaraVideoListPlayer';
import { PrivateService } from '../private_service/PrivateService';
import { ApsaraLiveShiftPlayer } from './ApsaraLiveShiftPlayer';
export class AliPlayerFactory {
    static createAliPlayer(m6, n6) {
        PrivateService.preInitService(m6);
        if (n6) {
            return new ApsaraVideoPlayer(m6, n6);
        }
        else {
            return new ApsaraVideoPlayer(m6, "");
        }
    }
    static createAliListPlayer(k6, l6) {
        PrivateService.preInitService(k6);
        if (l6) {
            return new ApsaraVideoListPlayer(k6, l6);
        }
        else {
            return new ApsaraVideoListPlayer(k6, "");
        }
    }
    static createAliLiveShiftPlayer(i6, j6) {
        PrivateService.preInitService(i6);
        if (j6) {
            return new ApsaraLiveShiftPlayer(i6, j6);
        }
        else {
            return new ApsaraLiveShiftPlayer(i6, "");
        }
    }
}
