export class VidPlayerConfigGen {
    constructor() {
        this.configMap = new Map();
    }
    addPlayerConfigNumber(g41, h41) {
        if (g41 != null) {
            this.configMap.set(g41, h41);
        }
    }
    addPlayerConfigString(e41, f41) {
        if (e41 != null) {
            this.configMap.set(e41, f41);
        }
    }
    setPreviewTime(d41) {
        this.addPlayerConfigNumber("PreviewTime", d41);
    }
    setEncryptType(c41) {
        if (c41 == EncryptType.AliyunVodEncryption) {
            this.addPlayerConfigString("EncryptType", "AliyunVoDEncryption");
        }
        else if (c41 == EncryptType.HLSEncryption) {
            this.addPlayerConfigString("EncryptType", "HLSEncryption");
        }
        else if (c41 == EncryptType.Unencrypted) {
            this.addPlayerConfigString("EncryptType", "Unencrypted");
        }
    }
    setMtsHlsUriToken(b41) {
        this.addPlayerConfigString("MtsHlsUriToken", b41);
    }
    genConfig() {
        let x40 = {};
        if (this.configMap.size == 0) {
            return "";
        }
        this.configMap.forEach((z40, a41) => {
            if (a41 != undefined && z40 != undefined) {
                x40[a41] = z40;
            }
        });
        return JSON.stringify(x40);
    }
}
export var EncryptType;
(function (w40) {
    w40[w40["Unencrypted"] = 0] = "Unencrypted";
    w40[w40["AliyunVodEncryption"] = 1] = "AliyunVodEncryption";
    w40[w40["HLSEncryption"] = 2] = "HLSEncryption";
})(EncryptType || (EncryptType = {}));
