import premierlibrary from 'libpremierlibrary.so';
export class ListPlayerBase {
    constructor(q21, r21, s21, t21) {
        this.mNativeContext = 0;
        this.getNativeContext = () => {
            return this.mNativeContext;
        };
        this.setNativeContext = (w21) => {
            this.mNativeContext = w21;
        };
        premierlibrary.nListConstruct(this, r21, s21, t21);
    }
    stop() {
        premierlibrary.nListStop(this);
    }
    removeSource(p21) {
        premierlibrary.nListRemoveSource(this, p21);
    }
    clear() {
        premierlibrary.nListClear(this);
    }
    getCurrentUid() {
        return premierlibrary.nListGetCurrentUid(this);
    }
    setPreloadCount(o21) {
        premierlibrary.nListSetPreloadCount(this, o21);
    }
    setPreloadCountWithPrevAndNext(m21, n21) {
        premierlibrary.nListSetPreloadCountWithPrevAndNext(this, m21, n21);
    }
    setPreloadScene(l21) {
        premierlibrary.nListSetPreloadScene(this, l21);
    }
    enablePreloadStrategy(j21, k21) {
        premierlibrary.nListEnablePreloadStrategy(this, j21, k21);
    }
    setPreloadStrategyParam(h21, i21) {
        premierlibrary.nListSetPreloadStrategyParam(this, h21, i21);
    }
    setMaxPreloadMemorySizeMB(g21) {
        premierlibrary.nListSetMaxPreloadMemorySizeMB(this, g21);
    }
    getMaxPreloadMemorySizeMB() {
        return premierlibrary.nListGetMaxPreloadMemorySizeMB(this);
    }
    SetMultiBitratesMode(f21) {
        premierlibrary.nListSetMultiBitratesMode(this, f21);
    }
    GetMultiBitratesMode() {
        return premierlibrary.nListGetMultiBitratesMode(this);
    }
    release() {
        premierlibrary.nListRelease(this);
    }
}
