export class MediaInfo {
    constructor() {
        this.mVideoId = "";
        this.mTitle = "";
        this.mDuration = 0;
        this.mStatus = "";
        this.mCoverUrl = "";
        this.mMediaType = "";
        this.mTransCodeMode = "FastTranscode";
        this.mTotalBitrate = 0;
        this.mTrackInfos = [];
        this.mThumbnailList = [];
        this.nativeGetVideoId = () => {
            return this.mVideoId;
        };
        this.nativeSetVideoId = (z22) => {
            this.mVideoId = z22;
        };
        this.nativeGetTitle = () => {
            return this.mTitle;
        };
        this.nativeSetTitle = (y22) => {
            this.mTitle = y22;
        };
        this.nativeGetDuration = () => {
            return this.mDuration;
        };
        this.nativeSetDuration = (x22) => {
            this.mDuration = x22;
        };
        this.nativeGetStatus = () => {
            return this.mStatus;
        };
        this.nativeSetStatus = (w22) => {
            this.mStatus = w22;
        };
        this.nativeGetCoverUrl = () => {
            return this.mCoverUrl;
        };
        this.nativeSetCoverUrl = (v22) => {
            this.mCoverUrl = v22;
        };
        this.nativeGetMediaType = () => {
            return this.mMediaType;
        };
        this.nativeSetMediaType = (u22) => {
            this.mMediaType = u22;
        };
        this.nativeGetTransCodeMode = () => {
            return this.mTransCodeMode;
        };
        this.nativeSetTransCodeMode = (t22) => {
            this.mTransCodeMode = t22;
        };
        this.nativeGetTotalBitrate = () => {
            return this.mTotalBitrate;
        };
        this.nativeSetTotalBitrate = (s22) => {
            this.mTotalBitrate = s22;
        };
        this.nativeSetTrackInfos = (r22) => {
            if (r22 != null && r22.length > 0) {
                this.mTrackInfos = this.mTrackInfos.concat(r22);
            }
        };
        this.nativeSetThumbnailList = (q22) => {
            if (q22 != null && q22.length > 0) {
                this.mThumbnailList = this.mThumbnailList.concat(q22);
            }
        };
    }
    getTitle() {
        return this.nativeGetTitle();
    }
    getDuration() {
        return this.nativeGetDuration();
    }
    setDuration(x21) {
        this.nativeSetDuration(x21);
    }
    getStatus() {
        return this.nativeGetStatus();
    }
    getVideoId() {
        return this.nativeGetVideoId();
    }
    getCoverUrl() {
        return this.nativeGetCoverUrl();
    }
    getMediaType() {
        return this.nativeGetMediaType();
    }
    getTransCodeMode() {
        return this.nativeGetTransCodeMode();
    }
    getTotalBitrate() {
        return this.nativeGetTotalBitrate();
    }
    getTrackInfos() {
        return this.mTrackInfos;
    }
    getThumbnailList() {
        return this.mThumbnailList;
    }
}
