import { SourceBase } from "./SourceBase";
export class LiveSts extends SourceBase {
    constructor() {
        super();
        this.nativeGetEncryptionTypeValue = () => {
            return this.mEncryptionType;
        };
        this.nativeSetEncryptionType = (f34) => {
            this.mEncryptionType = f34;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (e34) => {
            this.mSecurityToken = e34;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (d34) => {
            this.mAccessKeyId = d34;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (c34) => {
            this.mAccessKeySecret = c34;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (b34) => {
            this.mRegion = b34;
        };
        this.nativeGetUrl = () => {
            return this.mUrl;
        };
        this.nativeSetUrl = (a34) => {
            this.mUrl = a34;
        };
        this.nativeGetDomain = () => {
            return this.mDomain;
        };
        this.nativeSetDomain = (z33) => {
            this.mDomain = z33;
        };
        this.nativeGetApp = () => {
            return this.mApp;
        };
        this.nativeSetApp = (y33) => {
            this.mApp = y33;
        };
        this.nativeGetStream = () => {
            return this.mStream;
        };
        this.nativeSetStream = (x33) => {
            this.mStream = x33;
        };
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.mUrl = "";
        this.mDomain = "";
        this.mApp = "";
        this.mStream = "";
        this.mEncryptionType = LiveEncryptionType.NoEncryption;
    }
    getEncryptionTypeValue() {
        return this.mEncryptionType;
    }
    setEncryptionType(e33) {
        this.mEncryptionType = e33;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(d33) {
        this.mSecurityToken = d33;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(c33) {
        this.mAccessKeyId = c33;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(b33) {
        this.mAccessKeySecret = b33;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(a33) {
        this.mRegion = a33;
    }
    getUrl() {
        return this.mUrl;
    }
    setUrl(z32) {
        this.mUrl = z32;
    }
    getDomain() {
        return this.mDomain;
    }
    setDomain(y32) {
        this.mDomain = y32;
    }
    getApp() {
        return this.mApp;
    }
    setApp(x32) {
        return this.mApp = x32;
    }
    getStream() {
        return this.mStream;
    }
    setStream(w32) {
        this.mStream = w32;
    }
}
export var LiveEncryptionType;
(function (v32) {
    v32[v32["NoEncryption"] = 0] = "NoEncryption";
    v32[v32["AliEncryption"] = 1] = "AliEncryption";
    v32[v32["WideVine_FairPlay"] = 2] = "WideVine_FairPlay";
})(LiveEncryptionType || (LiveEncryptionType = {}));
